VM_MAP_DELETE(9)

NAME
vm_map_delete - deallocate an address range from a map

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
int
vm_map_delete(vm_map_t map, vm_offset_t start, vm_offset_t end);

DESCRIPTION
The vm_map_delete() function deallocates the address range bounded by start and end from the map.

IMPLEMENTATION NOTES
This function is for FreeBSD VM internal use only. The vm_map_remove(9) function should be called by FreeBSD VM consumers instead.

RETURN VALUES
The vm_map_delete() function always returns KERN_SUCCESS.

SEE ALSO
vm_map(9), vm_map_remove(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.